osso-applet-display (1.3.14) unstable; urgency=low

  * fix issue with schemas, power on led should be off on N800
  * fix help issue : Display and LEDs tabs of Display applet in control panel
    has same Help content. Fixes: NB#79128

 -- Philippe De Swert <philippe.de-swert@nokia.com>  Fri, 11 Apr 2008 17:33:42 +0300

osso-applet-display (1.3.13) unstable; urgency=low
 
  * Not only remove schemas on upgrade, but also install the new ones. Fixes: NB#81212

 -- Philippe De Swert <philippe.de-swert@nokia.com>  Wed, 27 Feb 2008 15:24:41 +0200

osso-applet-display (1.3.12) unstable; urgency=low

  * only set schemas on first boot. Fixes: NB#80710

 -- Philippe De Swert <philippe.de-swert@nokia.com>  Thu, 14 Feb 2008 18:12:37 +0200

osso-applet-display (1.3.11) unstable; urgency=low

  * Use gconftool --makefile-install-rule instead of --install-schema-
    file. Fixes: NB#71281

 -- Santtu Lakkala <ext-santtu.1.lakkala@nokia.com>  Mon,  1 Oct 2007 13:38:09 +0300

osso-applet-display (1.3.10) unstable; urgency=low

  * Fix update-rc.d invocation.
  * Apply the device on checkbox to battery full pattern too.

 -- Santtu Lakkala <ext-santtu.1.lakkala@nokia.com>  Fri, 21 Sep 2007 10:33:20 +0300

osso-applet-display (1.3.9) unstable; urgency=low

  * Use different schemas for RX-34 and RX-44. Fixes: NB#68761
  * Apply the device on checkbox value for charging pattern aswell.

 -- Santtu Lakkala <ext-santtu.1.lakkala@nokia.com>  Tue, 18 Sep 2007 15:51:41 +0300

osso-applet-display (1.3.8) unstable; urgency=low

  * Don't set obsolete minimum-visible-bars property. Fixes: NB#63168

 -- Santtu Lakkala <ext-santtu.1.lakkala@nokia.com>  Wed, 18 Jul 2007 15:55:13 +0300

osso-applet-display (1.3.7) unstable; urgency=low

  * Make display applet have 5 steps instead of 9.

 -- Santtu Lakkala <ext-santtu.1.lakkala@nokia.com>  Tue, 15 May 2007 15:57:01 +0300

osso-applet-display (1.3.6) unstable; urgency=low

  * Remove -Werror. Fixes: NB#56731
  * Minor cleanups.

 -- Santtu Lakkala <ext-santtu.1.lakkala@nokia.com>  Mon, 14 May 2007 10:14:48 +0300

osso-applet-display (1.3.5) unstable; urgency=low

  * Use pattern names from UI spec as gconf keys.
  * Add fallback for osso-icons virtual package.

 -- Santtu Lakkala <ext-santtu.1.lakkala@nokia.com>  Tue,  8 May 2007 12:17:50 +0300

osso-applet-display (1.3.4) unstable; urgency=low

  * Change from hildon captions to labelled checkboxes in LED page.
  * Change logical string for call leds.
  * Change defaults for LEDs in .schema.

 -- Santtu Lakkala <ext-santtu.1.lakkala@nokia.com>  Tue, 17 Apr 2007 16:48:23 +0300

osso-applet-display (1.3.3) unstable; urgency=low

  * Increment MAX_NOTIFIES. Fixes: NB#53919

 -- Santtu Lakkala <ext-santtu.1.lakkala@nokia.com>  Tue, 10 Apr 2007 12:06:33 +0300

osso-applet-display (1.3.2) unstable; urgency=low

  * Use hildon-help instead of deprecated osso-help.

 -- Santtu Lakkala <ext-santtu.1.lakkala@nokia.com>  Mon,  2 Apr 2007 16:09:09 +0300

osso-applet-display (1.3.1) unstable; urgency=low

  * Change logical strings according to the spec.
  * Add missing separator.

 -- Santtu Lakkala <ext-santtu.1.lakkala@nokia.com>  Mon, 26 Mar 2007 12:35:49 +0300

osso-applet-display (1.3.0) unstable; urgency=low

  * Remove deprecated bits.
  * Add UI for new features.

 -- Santtu Lakkala <ext-santtu.1.lakkala@nokia.com>  Tue, 27 Feb 2007 14:49:03 +0200

osso-applet-display (1.2.8) unstable; urgency=low

  * Fix memory error. Fixes: NB#46786

 -- Santtu Lakkala <ext-santtu.1.lakkala@nokia.com>  Fri, 10 Nov 2006 11:00:30 +0200

osso-applet-display (1.2.7) unstable; urgency=low

  * Remove obsolete postinst script. Fixes: NB#38924.

 -- Santtu Lakkala <ext-santtu.1.lakkala@nokia.com>  Wed, 13 Sep 2006 14:17:51 +0300

osso-applet-display (1.2.6) unstable; urgency=low

  * Remove libtool archive from the package. Fixes: NB#38472.

 -- Santtu Lakkala <ext-santtu.1.lakkala@nokia.com>  Wed,  6 Sep 2006 12:03:23 +0300

osso-applet-display (1.2.5) unstable; urgency=low

  * Change Name in .desktop. Fixes: NB#34968.

 -- Santtu Lakkala <ext-santtu.1.lakkala@nokia.com>  Tue, 18 Jul 2006 15:50:37 +0300

osso-applet-display (1.2.4) unstable; urgency=low

  * Use key symbols from hildon-defines.h

 -- Santtu Lakkala <ext-santtu.1.lakkala@nokia.com>  Fri,  7 Jul 2006 09:13:10 +0300

osso-applet-display (1.2.3) unstable; urgency=low

  * Add categories field to .desktop.

 -- Santtu Lakkala <ext-santtu.1.lakkala@nokia.com>  Tue, 20 Jun 2006 15:44:32 +0300

osso-applet-display (1.2.2) unstable; urgency=low

  * Remove obsolete id string 'disp_ib_banner' and functionality.

 -- Santtu Lakkala <ext-santtu.1.lakkala@nokia.com>  Tue, 13 Jun 2006 10:58:09 +0300

osso-applet-display (1.2.1-1) unstable; urgency=low

  * Bug N#31164: Fix l10n package name.

 -- Santtu Lakkala <ext-santtu.1.lakkala@nokia.com>  Thu,  1 Jun 2006 10:55:42 +0300

osso-applet-display (1.2.0-2) unstable; urgency=low

  * Remove -Wunreachable-code due to broken glib.

 -- Santtu Lakkala <ext-santtu.1.lakkala@nokia.com>  Wed, 10 May 2006 14:13:23 +0300

osso-applet-display (1.2.0-1) unstable; urgency=low

  * Add "Show light indications."

 -- Santtu Lakkala <ext-santtu.1.lakkala@nokia.com>  Tue,  9 May 2006 11:02:37 +0300

osso-applet-display (1.1.6-1) unstable; urgency=low

  * Fix l10n package name.

 -- Santtu Lakkala <ext-santtu.1.lakkala@nokia.com>  Tue, 28 Mar 2006 11:29:40 +0300

osso-applet-display (1.1.5-1) unstable; urgency=low

  * Remove intltool dependency.

 -- Santtu Lakkala <ext-santtu.1.lakkala@nokia.com>  Tue, 21 Mar 2006 15:11:44 +0200

osso-applet-display (1.1.4-1) unstable; urgency=low

  * Update l10n string in desktop file.

 -- Santtu Lakkala <ext-santtu.1.lakkala@nokia.com>  Tue, 21 Mar 2006 14:20:47 +0200

osso-applet-display (1.1.3-1) unstable; urgency=low

  * Bug N#23609: Add gconf schema for settings.

 -- Santtu Lakkala <ext-santtu.1.lakkala@nokia.com>  Mon,  6 Mar 2006 15:05:14 +0200

osso-applet-display (1.1.2-1) unstable; urgency=low

  * Fix buf N#22880: Remove code that's confusing gconf.

 -- Santtu Lakkala <ext-santtu.1.lakkala@nokia.com>  Fri, 17 Feb 2006 15:35:22 +0200

osso-applet-display (1.1.1-1) unstable; urgency=low

  * Fix bug N#22544: Don't dereference unchecked pointer.

 -- Santtu Lakkala <ext-santtu.1.lakkala@nokia.com>  Wed,  1 Feb 2006 12:57:20 +0200

osso-applet-display (1.1.0-1) unstable; urgency=low

  * Bumped version# for new branch.

 -- Santtu Lakkala <ext-santtu.1.lakkala@nokia.com>  Wed, 18 Jan 2006 12:59:40 +0200

osso-applet-display (1.0.38-1) unstable; urgency=low

  * Bug #20022@nokia: don't use free'd memory in ui_refresh()

 -- Santtu Lakkala <ext-santtu.1.lakkala@nokia.com>  Mon, 10 Oct 2005 10:36:29 +0300

osso-applet-display (1.0.37-1) unstable; urgency=low

  * Cleanup

 -- David Weinehall <david.weinehall@nokia.com>  Fri,  7 Oct 2005 17:44:06 +0300

osso-applet-display (1.0.36-2) unstable; urgency=low

  * Fix some leaks

 -- Santtu Lakkala <ext-santtu.1.lakkala@nokia.com>  Mon, 19 Sep 2005 17:18:22 +0300

osso-applet-display (1.0.36-1) unstable; urgency=low

  * Fix memory leak
  | Thanks to Santtu Lakkala
  * Set gconf value for blank timeout before dim timeout
  * settings_database cleanup
  * Revert brightness setting in the internal database on cancel
  * Fix synchronisation issue

 -- David Weinehall <david.weinehall@nokia.com>  Fri,  9 Sep 2005 13:16:09 +0300

osso-applet-display (1.0.35-1) unstable; urgency=low

  * Fix crash with multiple instances (Fixes 18242)
    | Thanks to Aapo Makela
  * Fix GConf syncing with status bar (Fixes 13974)
    | Thanks to Aapo Makela
  * Better return value
  * Cleanup
  * Bump standards-version
  * Remove several unnecessary files

 -- David Weinehall <david.weinehall@nokia.com>  Mon,  5 Sep 2005 16:36:12 +0300

osso-applet-display (1.0.34-1) unstable; urgency=low

  * l10n 4.0 dep

 -- Tuomo Tanskanen <ext-tuomo.1.tanskanen@nokia.com>  Thu,  1 Sep 2005 11:59:23 +0300

osso-applet-display (1.0.34-0) unstable; urgency=low

  * New version

 -- Tuomo Tanskanen <ext-tuomo.1.tanskanen@nokia.com>  Thu, 25 Aug 2005 14:13:00 +0300

osso-applet-display (1.0.33-0.5) unstable; urgency=low

  * removed libxtst

 -- Tuomo Tanskanen <ext-tuomo.1.tanskanen@nokia.com>  Thu, 25 Aug 2005 10:12:24 +0300

osso-applet-display (1.0.33-0.4) unstable; urgency=low

  * Added missing key to schema file for display brightness

 -- Pablo Virolainen <ext-pablo.virolainen@nokia.com>  Fri, 19 Aug 2005 15:17:44 +0300

osso-applet-display (1.0.33-0.3) unstable; urgency=low

  * Made release 1.0.33

 -- Maria Starodubtseva <ext-maria.starodoubtseva@nokia.com>  Wed, 17 Aug 2005 16:44:24 +0300

osso-applet-display (1.0.33-0.2) unstable; urgency=low

  * bug 17156: Fixed the hw callback to send GTK_RESPONSE_CANCEL

 -- Maria Starodubtseva <ext-maria.starodoubtseva@nokia.com>  Wed, 17 Aug 2005 16:40:55 +0300

osso-applet-display (1.0.33-0.1) unstable; urgency=low

  * Fixed 17156 (incorrect handling of hw-key cancel)

 -- Pablo Virolainen <ext-pablo.virolainen@nokia.com>  Mon, 15 Aug 2005 13:37:54 +0300

osso-applet-display (1.0.33-0) unstable; urgency=low

  * Cleaned source code according to code review, completely removed creation of l10n
    material

 -- Maria Starodubtseva <ext-maria.starodoubtseva@nokia.com>  Sun, 14 Aug 2005 16:47:30 +0300

osso-applet-display (1.0.30-1) unstable; urgency=low

  * added libxtst-dev to source-dep

 -- Tuomo Tanskanen <ext-tuomo.1.tanskanen@nokia.com>  Mon,  8 Aug 2005 17:44:43 +0300

osso-applet-display (1.0.30-0) unstable; urgency=low

  * New l10n process

 -- Tuomo Tanskanen <ext-tuomo.1.tanskanen@nokia.com>  Mon,  8 Aug 2005 16:18:20 +0300

osso-applet-display (1.0.29-0) unstable; urgency=low

  * New version

 -- Aapo Makela <aapo.makela@nokia.com>  Tue, 19 Jul 2005 19:01:29 +0300

osso-applet-display (1.0.25-1) unstable; urgency=low

  * Fix brightness level range setting.

 -- Aapo Makela <aapo.makela@nokia.com>  Thu, 14 Jul 2005 10:14:10 +0300

osso-applet-display (1.0.25-0) unstable; urgency=low

  * Made release 1.0.25

 -- Aapo Makela <aapo.makela@nokia.com>  Mon, 20 Jun 2005 12:44:28 +0300

osso-applet-display (1.0.24-2) unstable; urgency=low

  * Changed SettingsDatabase GConf key. 

 -- Aapo Makela <aapo.makela@nokia.com>  Fri, 17 Jun 2005 11:10:45 +0300

osso-applet-display (1.0.24-1) unstable; urgency=low

  * Fixed bug id 14556 (Removed "dh_movefiles" from po/debian/rules)

 -- Aapo Makela <aapo.makela@nokia.com>  Thu, 16 Jun 2005 17:38:18 +0300

osso-applet-display (1.0.24-0) unstable; urgency=low

  * Made release 1.0.24

 -- Aapo Makela <aapo.makela@nokia.com>  Fri, 10 Jun 2005 15:31:56 +0300

osso-applet-display (1.0.23-1) unstable; urgency=low

  * Updated PO-files to be official w21 PO-files.

 -- Aapo Makela <aapo.makela@nokia.com>  Thu,  9 Jun 2005 16:15:06 +0300

osso-applet-display (1.0.23-0) unstable; urgency=low

  * Made release 1.0.23

 -- Aapo Makela <aapo.makela@nokia.com>  Thu,  2 Jun 2005 15:08:28 +0300

osso-applet-display (1.0.22-0) unstable; urgency=low

  * Made release 1.0.22

 -- Aapo <aapo.makela@nokia.com>  Fri, 27 May 2005 11:07:53 +0300

osso-applet-display (0.1.21) unstable; urgency=low

  * Fixed to always add notifications for system GConf events.

 -- Aapo Makela <aapo.makela@nokia.com>  Thu, 26 May 2005 19:07:30 +0300

osso-applet-display (0.1.20) unstable; urgency=low

  * Fixed l10n-src building.

 -- Aapo Makela <aapo.makela@nokia.com>  Mon,  9 May 2005 11:32:53 +0300

osso-applet-display (0.1.19) unstable; urgency=low

  * Fixed to be dynamic.
  * Fixed bug id 10768.
  * Fixed crashing, when brightness changed rapidly from statusbar.

 -- Aapo Makela <aapo.makela@nokia.com>  Thu, 28 Apr 2005 17:54:49 +0300

osso-applet-display (0.1.18) unstable; urgency=low

  * Fixed bug id 9495
  * Fixed bug id 9486

 -- Aapo Makela <aapo.makela@nokia.com>  Thu, 14 Apr 2005 15:18:24 +0300

osso-applet-display (0.1.17) unstable; urgency=low

  * Fixed bug id 9042  

 -- Pablo Virolainen <ext-pablo.virolainen@nokia.com>  Fri,  8 Apr 2005 16:00:25 +0300

osso-applet-display (0.1.16-3) unstable; urgency=low

  * Fixed few bugs in the SettingsDatabase.

 -- Aapo Makela <aapo.makela@nokia.com>  Fri,  8 Apr 2005 07:02:41 +0300

osso-applet-display (0.1.16-2) unstable; urgency=low

  * Removed logical IDs for non-generic values.

 -- Aapo Makela <aapo.makela@nokia.com>  Thu,  7 Apr 2005 12:52:37 +0300

osso-applet-display (0.1.16-1) unstable; urgency=low

  * Fixed to change brightness, when cancel is accessed.

 -- Aapo Makela <aapo.makela@nokia.com>  Mon,  4 Apr 2005 13:03:56 +0300

osso-applet-display (0.1.15-6) unstable; urgency=low

  * Fixed charset in locale data.

 -- Aapo Makela <aapo.makela@nokia.com>  Fri, 18 Mar 2005 09:33:24 +0200

osso-applet-display (0.1.15-5) unstable; urgency=low

  * Fixed packaging.

 -- Aapo Makela <aapo.makela@nokia.com>  Fri, 18 Mar 2005 09:10:29 +0200

osso-applet-display (0.1.15-4) unstable; urgency=low

  * Changed localization packaging.

 -- Aapo Makela <aapo.makela@nokia.com>  Tue,  8 Mar 2005 12:51:25 +0200

osso-applet-display (0.1.15-3) unstable; urgency=low

  * Fixed to work as multi-instance with GConfClient.

 -- Aapo Makela <aapo.makela@nokia.com>  Tue,  1 Mar 2005 09:12:23 +0200

osso-applet-display (0.1.15-2) unstable; urgency=low

  * Updated to use GConfClient instead of GConfEngine (fixes bug #6403@nokia)

 -- Aapo Makela <aapo.makela@nokia.com>  Tue, 22 Feb 2005 16:15:16 +0200

osso-applet-display (0.1.15-1) unstable; urgency=low

  * Changed localization packaging.

 -- Aapo Makela <aapo.makela@nokia.com>  Fri, 18 Feb 2005 06:53:16 +0200

osso-applet-display (0.1.14-1) unstable; urgency=low

  * Fixed GConf schema and brightness levels GConf key.

 -- Aapo Makela <aapo.makela@nokia.com>  Thu, 10 Feb 2005 13:13:54 +0200

osso-applet-display (0.1.13-5) unstable; urgency=low

  * Fixed to update display brightness immediately.

 -- Aapo Makela <aapo.makela@nokia.com>  Wed,  9 Feb 2005 12:19:36 +0200

osso-applet-display (0.1.13-4) unstable; urgency=low

  * Fixed installation to install only shared library files.

 -- Aapo Makela <aapo.makela@nokia.com>  Mon,  7 Feb 2005 09:10:57 +0200

osso-applet-display (0.1.13-3) unstable; urgency=low

  * Fixed state synchronization bug.

 -- Aapo Makela <aapo.makela@nokia.com>  Mon, 31 Jan 2005 15:06:40 +0200

osso-applet-display (0.1.13-2) unstable; urgency=low

  * Updated state synchronization.

 -- Aapo Makela <aapo.makela@nokia.com>  Fri, 28 Jan 2005 10:50:47 +0200

osso-applet-display (0.1.13-1) unstable; urgency=low

  * Updated to run with newer AF.

 -- Aapo Makela <aapo.makela@nokia.com>  Thu, 27 Jan 2005 08:58:42 +0200

osso-applet-display (0.1.11-4) unstable; urgency=low

  * fixed schema installation

 -- Pablo Virolainen <ext-pablo.virolainen@nokia.com>  Mon, 24 Jan 2005 16:04:18 +0200

osso-applet-display (0.1.11-3) unstable; urgency=low

  * Fixed to use dh_gconf (instead of postinst) to install GConf schemas.

 -- Aapo Makela <aapo.makela@nokia.com>  Fri, 21 Jan 2005 07:07:32 +0200

osso-applet-display (0.1.11-2) unstable; urgency=low

  * Fixed dialog title.

 -- Aapo Makela <aapo.makela@nokia.com>  Thu, 20 Jan 2005 17:02:06 +0200

osso-applet-display (0.1.11-1) unstable; urgency=low

  * Gamma release.
  * Added support for multi-instance Display applets.

 -- Aapo Makela <aapo.makela@nokia.com>  Mon, 10 Jan 2005 17:42:46 +0200

osso-applet-display (0.1.05-5) unstable; urgency=low

  * Localized the contents of both comboboxes.

 -- Aapo Makela <aapo.makela@nokia.com>  Thu, 30 Dec 2004 18:55:30 +0200

osso-applet-display (0.1.05-4) unstable; urgency=low

  * Fixed the UI according the Layout Guide.

 -- Aapo Makela <aapo.makela@nokia.com>  Wed, 29 Dec 2004 13:15:46 +0200

osso-applet-display (0.1.05-3) unstable; urgency=low

  * Changed the possible brightness values (now specified as maximum & 
    step) and tweaked some other GConf-defaults.

 -- Aapo Makela <aapo.makela@nokia.com>  Tue, 28 Dec 2004 08:18:57 +0200

osso-applet-display (0.1.05-2) unstable; urgency=low

  * Fixed UI Controlbar to have minimum value of 1.
  * Fixed SettingsInternalize to register GConf notify to interesting 
    keys.

 -- Aapo Makela <aapo.makela@nokia.com>  Mon, 27 Dec 2004 15:37:34 +0200

osso-applet-display (0.1.05-1) unstable; urgency=low

  * Fixed UI to disable items in choice list, which cant be selected.

 -- Aapo Makela <aapo.makela@nokia.com>  Wed, 22 Dec 2004 10:15:04 +0200

osso-applet-display (0.1.04-1) unstable; urgency=low

  * Fixed dependencies.
  * Added user interface.
  * Added loading and saving of settings.

 -- Aapo Makela <aapo.makela@nokia.com>  Wed, 15 Dec 2004 17:57:53 +0200

osso-applet-display (0.1.03-1) unstable; urgency=low

  * Development release.

 -- Aapo Makela <aapo.makela@nokia.com>  Tue, 30 Nov 2004 13:32:07 +0200

osso-applet-display (0.0.1-1) unstable; urgency=low

  * Initial Release.

 -- Aapo Makela <aapo.makela@nokia.com>  Mon, 15 Nov 2004 19:58:48 +0200

